From b45507df36aac64c82c42c906f8f431632b980e8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Wed, 5 Jun 2013 22:04:00 +0200
Subject: Render other_formats_links

--HG--
extra : source : 4f4d6c4d67d519f1388f8dfcf3581353ec1877b4
---
 app/views/activities/index.html.erb          |    2 +-
 app/views/boards/index.html.erb              |    2 +-
 app/views/boards/show.html.erb               |    2 +-
 app/views/gantts/show.html.erb               |    2 +-
 app/views/issues/index.html.erb              |    2 +-
 app/views/issues/show.html.erb               |    2 +-
 app/views/news/index.html.erb                |    2 +-
 app/views/projects/index.html.erb            |    2 +-
 app/views/repositories/diff.html.erb         |    2 +-
 app/views/repositories/revisions.html.erb    |    2 +-
 app/views/repositories/show.html.erb         |    2 +-
 app/views/time_entry_reports/report.html.erb |    2 +-
 app/views/timelog/index.html.erb             |    2 +-
 app/views/users/show.html.erb                |    2 +-
 app/views/wiki/date_index.html.erb           |    2 +-
 app/views/wiki/index.html.erb                |    2 +-
 app/views/wiki/show.html.erb                 |    2 +-
 17 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/app/views/activities/index.html.erb b/app/views/activities/index.html.erb
index de35c85..afa3791 100644
--- a/app/views/activities/index.html.erb
+++ b/app/views/activities/index.html.erb
@@ -31,7 +31,7 @@
                    :title => l(:label_date_from_to, :start => format_date(@date_to), :end => format_date(@date_to + @days - 1))) unless @date_to >= Date.today %>
 </div>
 &nbsp;
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => params.merge(:from => nil, :key => User.current.rss_key) %>
 <% end %>
 
diff --git a/app/views/boards/index.html.erb b/app/views/boards/index.html.erb
index 7c79835..5f51c01 100644
--- a/app/views/boards/index.html.erb
+++ b/app/views/boards/index.html.erb
@@ -29,7 +29,7 @@
   </tbody>
 </table>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:controller => 'activities', :action => 'index', :id => @project, :show_messages => 1, :key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/boards/show.html.erb b/app/views/boards/show.html.erb
index e796b8c..79d0c92 100644
--- a/app/views/boards/show.html.erb
+++ b/app/views/boards/show.html.erb
@@ -61,7 +61,7 @@
 <p class="nodata"><%= l(:label_no_data) %></p>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/gantts/show.html.erb b/app/views/gantts/show.html.erb
index a8af6fc..9686343 100644
--- a/app/views/gantts/show.html.erb
+++ b/app/views/gantts/show.html.erb
@@ -183,7 +183,7 @@ if Date.today >= @gantt.date_from and Date.today <= @gantt.date_to %>
 </tr>
 </table>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'PDF', :url => @gantt.params %>
 	<%= f.link_to('PNG', :url => @gantt.params) if @gantt.respond_to?('to_image') %>
 <% end %>
diff --git a/app/views/issues/index.html.erb b/app/views/issues/index.html.erb
index 3878dc5..284cf2a 100644
--- a/app/views/issues/index.html.erb
+++ b/app/views/issues/index.html.erb
@@ -87,7 +87,7 @@
 <p class="pagination"><%= pagination_links_full @issue_pages, @issue_count %></p>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => { :project_id => @project, :query_id => (@query.new_record? ? nil : @query), :key => User.current.rss_key } %>
 	<%= f.link_to 'CSV', :url => { :project_id => @project } %>
 	<%= f.link_to 'PDF', :url => { :project_id => @project } %>
diff --git a/app/views/issues/show.html.erb b/app/views/issues/show.html.erb
index 0ee16b6..adec852 100644
--- a/app/views/issues/show.html.erb
+++ b/app/views/issues/show.html.erb
@@ -121,7 +121,7 @@
   </div>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:key => User.current.rss_key} %>
 	<%= f.link_to 'PDF' %>
 <% end %>
diff --git a/app/views/news/index.html.erb b/app/views/news/index.html.erb
index 1984a96..ad62d24 100644
--- a/app/views/news/index.html.erb
+++ b/app/views/news/index.html.erb
@@ -39,7 +39,7 @@
 <% end %>
 <p class="pagination"><%= pagination_links_full @news_pages %></p>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:project_id => @project, :key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/projects/index.html.erb b/app/views/projects/index.html.erb
index 6a0e052..3bdd535 100644
--- a/app/views/projects/index.html.erb
+++ b/app/views/projects/index.html.erb
@@ -27,7 +27,7 @@
 </p>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/repositories/diff.html.erb b/app/views/repositories/diff.html.erb
index cb86866..1c221dc 100644
--- a/app/views/repositories/diff.html.erb
+++ b/app/views/repositories/diff.html.erb
@@ -12,7 +12,7 @@
 <%= render :partial => 'common/diff', :locals => {:diff => @diff, :diff_type => @diff_type} %>
 <% end -%>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Diff', :url => params, :caption => 'Unified diff' %>
 <% end %>
 
diff --git a/app/views/repositories/revisions.html.erb b/app/views/repositories/revisions.html.erb
index 255cb62..2516d0f 100644
--- a/app/views/repositories/revisions.html.erb
+++ b/app/views/repositories/revisions.html.erb
@@ -16,7 +16,7 @@
 <%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :page => nil, :key => User.current.rss_key})) %>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/repositories/show.html.erb b/app/views/repositories/show.html.erb
index fc148e8..71dd61c 100644
--- a/app/views/repositories/show.html.erb
+++ b/app/views/repositories/show.html.erb
@@ -51,7 +51,7 @@
                        :id => @project, :page => nil, :key => User.current.rss_key})) %>
 <%     end %>
 
-<%     other_formats_links do |f| %>
+<%=     other_formats_links do |f| %>
   <%= f.link_to 'Atom', :url => {:action => 'revisions', :id => @project, :key => User.current.rss_key} %>
 <%     end %>
 <%   end %>
diff --git a/app/views/time_entry_reports/report.html.erb b/app/views/time_entry_reports/report.html.erb
index 34207ca..1326afa 100644
--- a/app/views/time_entry_reports/report.html.erb
+++ b/app/views/time_entry_reports/report.html.erb
@@ -60,7 +60,7 @@
 </tbody>
 </table>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'CSV', :url => params %>
 <% end %>
 <% end %>
diff --git a/app/views/timelog/index.html.erb b/app/views/timelog/index.html.erb
index d943d43..32472df 100644
--- a/app/views/timelog/index.html.erb
+++ b/app/views/timelog/index.html.erb
@@ -18,7 +18,7 @@
 <%= render :partial => 'list', :locals => { :entries => @entries }%>
 <p class="pagination"><%= pagination_links_full @entry_pages, @entry_count %></p>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => params.merge({:issue_id => @issue, :key => User.current.rss_key}) %>
 	<%= f.link_to 'CSV', :url => params %>
 <% end %>
diff --git a/app/views/users/show.html.erb b/app/views/users/show.html.erb
index a9cd010..d56d2bd 100644
--- a/app/views/users/show.html.erb
+++ b/app/views/users/show.html.erb
@@ -59,7 +59,7 @@
 <% end -%>
 </div>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:controller => 'activities', :action => 'index', :id => nil, :user_id => @user, :key => User.current.rss_key} %>
 <% end %>
 
diff --git a/app/views/wiki/date_index.html.erb b/app/views/wiki/date_index.html.erb
index a5000f2..07e2bb0 100644
--- a/app/views/wiki/date_index.html.erb
+++ b/app/views/wiki/date_index.html.erb
@@ -22,7 +22,7 @@
 <% end %>
 
 <% unless @pages.empty? %>
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:controller => 'activities', :action => 'index', :id => @project, :show_wiki_edits => 1, :key => User.current.rss_key} %>
 	<%= f.link_to('HTML', :url => {:action => 'export'}) if User.current.allowed_to?(:export_wiki_pages, @project) %>
 <% end %>
diff --git a/app/views/wiki/index.html.erb b/app/views/wiki/index.html.erb
index e542085..9769e33 100644
--- a/app/views/wiki/index.html.erb
+++ b/app/views/wiki/index.html.erb
@@ -15,7 +15,7 @@
 <% end %>
 
 <% unless @pages.empty? %>
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
 	<%= f.link_to 'Atom', :url => {:controller => 'activities', :action => 'index', :id => @project, :show_wiki_edits => 1, :key => User.current.rss_key} %>
 	<%= f.link_to('HTML', :url => {:action => 'export'}) if User.current.allowed_to?(:export_wiki_pages, @project) %>
 <% end %>
diff --git a/app/views/wiki/show.html.erb b/app/views/wiki/show.html.erb
index b2d7e2d..6758f87 100644
--- a/app/views/wiki/show.html.erb
+++ b/app/views/wiki/show.html.erb
@@ -45,7 +45,7 @@
 </div>
 <% end %>
 
-<% other_formats_links do |f| %>
+<%= other_formats_links do |f| %>
   <%= f.link_to 'Atom', :url => {:controller => 'activities', :action => 'index', :id => @project, :show_wiki_edits => 1, :key => User.current.rss_key} %>
   <%= f.link_to 'HTML', :url => {:id => @page.title, :version => @content.version} %>
   <%= f.link_to 'TXT', :url => {:id => @page.title, :version => @content.version} %>
-- 
1.7.1


